View Issue Details

IDProjectCategoryView StatusLast Update
0004753Talerwallet (WebExtensions)public2016-11-20 03:26
ReporterMarcello StanisciAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.2Fixed in Version0.2 
Summary0004753: Build misbehaviour
DescriptionWhen building the wallet with 'make', it gives the following error:

node_modules/gulp/bin/gulp.js tsconfig

/home/marcello/wallet-webex/gulpfile.js:32
const gulp = require("gulp");
^^^^^
SyntaxError: Use of const in strict mode.
    at Module._compile (module.js:439:25)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Module.require (module.js:364:17)
    at require (module.js:380:17)
    at Liftoff.handleArguments (/home/marcello/wallet-webex/node_modules/gulp/bin/gulp.js:116:3)
    at Liftoff.<anonymous> (/home/marcello/wallet-webex/node_modules/liftoff/index.js:198:16)
    at module.exports (/home/marcello/wallet-webex/node_modules/flagged-respawn/index.js:17:3)
    at Liftoff.<anonymous> (/home/marcello/wallet-webex/node_modules/liftoff/index.js:190:9)
    at /home/marcello/wallet-webex/node_modules/liftoff/index.js:164:9
Makefile:21: recipe for target 'tsconfig.json' failed
make: *** [tsconfig.json] Error 8

Note that './configure' also gave what follows:

Using node v0.10.29
./configure: line 33: msgmerge: command not found
Warning: msgmerge missing, i18n won't work
Additional InformationWith tsc version 2.0.3 (same version as tripwire's)
TagsNo tags attached.

Activities

Florian Dold

2016-11-03 04:16

manager   ~0011405

Your node version is simply too old, and the configure check had a bug so that it wouldn't complain about the old version.

The check is fixed in 4976ba5.

Florian Dold

2016-11-03 04:17

manager   ~0011406

msgmerge is part of gettext, BTW

Issue History

Date Modified Username Field Change
2016-10-30 19:55 Marcello Stanisci New Issue
2016-10-30 19:55 Marcello Stanisci Status new => assigned
2016-10-30 19:55 Marcello Stanisci Assigned To => Florian Dold
2016-11-03 04:16 Florian Dold Note Added: 0011405
2016-11-03 04:16 Florian Dold Status assigned => resolved
2016-11-03 04:16 Florian Dold Resolution open => fixed
2016-11-03 04:17 Florian Dold Note Added: 0011406
2016-11-15 15:40 root Product Version => SVN HEAD
2016-11-15 15:40 root Fixed in Version => 0.2
2016-11-15 15:40 root Target Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed